#include <stdio.h>
#include <stdlib.h>
#include <GL/glut.h>

void drawSquare()
{
  glColor3f (1.0, 1.0, 1.0);
  glBegin(GL_POLYGON);
  glVertex2f (0.0, 0.0);
  glVertex2f (0.0, 1.0);
  glVertex2f (1.0, 1.0);
  glVertex2f (1.0, 0.0);
  glEnd();
}

void display(void)
{
  glClear (GL_COLOR_BUFFER_BIT);

  // axes 
  
  glColor3f (1.0, 0.0, 0.0);

  glPushMatrix();

    glBegin(GL_LINES);
  
    glVertex2f(0, 0);
    glVertex2f(13, 0);
  
    glVertex2f(0, 0);
    glVertex2f(0, 13);
    
    glEnd();

  glPopMatrix();
  
  // first rectangle

  glPushMatrix();
    glScalef(3, 2, 1);
    drawSquare();
  glPopMatrix();
  
  // this rotates and moves BOTH second and third rects

  glTranslatef(3, 2, 0);
  glRotatef(25, 0, 0, 1);
 
  glPushMatrix();

    // second rectangle

    glPushMatrix();
      glScalef(5, -2, 1);
      drawSquare();
    glPopMatrix();
   
    // third rectangle

    glTranslatef(5, 0, 0);
    glRotatef(25, 0, 0, 1);
    glScalef(4, -2, 1);
    drawSquare();

  glPopMatrix();
 
  
  glFlush ();
}

void init (void) 
{
   glClearColor (0.0, 0.0, 0.0, 0.0);

   glMatrixMode(GL_PROJECTION);
   glLoadIdentity();
   gluOrtho2D(-1.0, 14.0, -1.0, 14.0);
}

int main(int argc, char** argv)
{
   glutInit(&argc, argv);
   glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
   glutInitWindowSize (250, 250); 
   glutInitWindowPosition (100, 100);
   glutCreateWindow ("rects");
   init ();
   glutDisplayFunc(display); 
   glutMainLoop();
   return 0;   
}
